EDIT - bug #6121

NPE during portal web service requests that go through BaseController.doGetMethod()
10/06/2016 01:21 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
For example:

http://api.cybertaxonomy.org/edaphobase/portal/taxon/a032b2bc-84dd-44d5-a149-57a3e23da605/sec.json

Caused by: java.lang.NullPointerException
at eu.etaxonomy.cdm.remote.controller.BaseController.getCdmBaseInstance (BaseController. java:21

9)

at eu.etaxonomy.cdm.remote.controller.BaseController.getCdmBaseInstance (BaseController. java:25
4)

at eu.etaxonomy.cdm.remote.controller.BaseController.getCdmBaseProperty (BaseController. java:17
7)

at eu.etaxonomy.cdm.remote.controller.BaseController.doGetMethod (BaseController. java:133)

at sun.reflect.GeneratedMethodAccessor40118.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)
History

#1 - 10/06/2016 03:23 PM - Andreas Miuller

Be aware that the edaphobase uuids are not yet stable

#2 - 10/27/2021 12:35 AM - Andreas Miiller
- Status changed from New to Feedback

- Target version changed from Unassigned CDM tickets to Release 5.45

Is this still an open issue? | tested with http://api.cybertaxonomy.org/euromed/portal/taxon/4a889e6¢c-9816-4745-9d06-146969da30c0/sec.json and
did not get an NPE. Does the NPE only gets thrown under certain conditions?

#3 - 01/20/2022 04:03 PM - Andreas Kohlbecker
- Status changed from Feedback to Worksforme

- Target version deleted (Release 5.45)

it is 5 years ago that we have created this ticket. | hardly remember potential conditions that are not documented here.
